package com.planetes;

public final class point {
 
    protected float x,y,z;
 
    public point() {
        setPoint(0,0,0);
    }

    public point(float coordx, float coordy,float coordz) {
        setPoint(coordx,coordy,coordz);
    }

    public point(point arg) {
        setPoint(arg.getX(),arg.getY(),arg.getZ());
    }

    public void setPoint(float coordx, float coordy,float coordz) {
        x = coordx;
        y = coordy;
        z = coordz;
    }

    public float getX() {
        return x;
    }

    public float getY() {
        return y;
    }

    public float getZ() {
        return z;
    }

    public point _add(point arg) {
    	x+=arg.getX();
    	y+=arg.getY();
    	z+=arg.getZ();
    	return this;
    }

    public point _sub(point arg) {
    	x-=arg.getX();
    	y-=arg.getY();
    	z-=arg.getZ();
    	return this;
    }

    public point _multiply(float scalar) {
    	x*=scalar;
    	y*=scalar;
    	z*=scalar;
    	return this;
    }

    public point add(point arg) {
    	return new point(this)._add(arg);
    }

    public point sub(point arg) {
    	return new point(this)._sub(arg);
    }

    public point multiply(float scalar) {
    	return new point(this)._multiply(scalar);
    }

    public float scalar(point arg){
    	return x*arg.getX() + y*arg.getY()+ z*arg.getZ();
    }

    public float mod(){
    	return (float)Math.sqrt(this.scalar(this));
    }
}	
